DEVICE_UNREGISTER(9)

NAME
device_unregister - unregister device from system.

SYNOPSIS

void device_unregister(struct device * dev);

ARGUMENTS

dev
    device going away.

DESCRIPTION

We do this in two parts, like we do device_register. First, we remove it from all the subsystems with device_del, then we decrement the reference count via put_device. If that is the final reference count, the device will be cleaned up via device_release above. Otherwise, the structure will stick around until the final reference to the device is dropped.

COPYRIGHT